/*
Experimento Queda Livre - Programa 1. 

Programa para aquisição dos valores de tempo que são impressos na porta serial (neste caso, via USB)

Este programa foi escrito para ser gravado na Plataforma ARDUINO, e fazer a obtenção de intervalos de tempo através de circuitos com sensores ópticos. 

Envia os valores obtidos via porta serial USB. Deve ser gravado antes de utilizar o programa 2 PROCESSING para gerar o Histograma.

*/
int sensor1 = 7;		// Entrada no pinos digitais 6 e 7
int sensor2 = 6;
int leitura1 = 0;
int leitura2 = 0; 

unsigned long t1=0, t2;
float t;

void setup()    {                
  pinMode (sensor1,INPUT);
  pinMode (sensor2,INPUT);
  Serial.begin (9600);
  }

void loop()    {

if ((digitalRead(sensor1)==HIGH)&&(leitura1 == 0))  {
  t1=micros();
  leitura1 = 1;
  }

if ((digitalRead(sensor2)==HIGH)&&(leitura2 == 0)&&(leitura1 == 1))  {
   t2=micros();
   leitura2 = 1;   //Após ler o segundo sensor;
  }  

if((leitura1 == 1)&&(leitura2 == 1)){
  // Condicional: entra somente se passar pelos sensores 1 e 2
  t = (t2-t1)/1000.0; // Mostra o tempo em Milissegundos
  leitura2=leitura1=0;  //Depois que imprime os valores, então pode ler novamente
  
  Serial.println(t,3);
  }

}

